made by Node.js, Express.js, MongoDB, mongoose

As a User, I can sign up using my email & password
As a User, I can sign in using my email & password
As a User, I can display the list of shops sorted by distance
As a User, I can like a shop, so it can be added to my preferred shops